Bug 709191 - [abrt] telepathy-mission-control-5.7.11-1.fc15: _mcd_build_error_string: Process /usr/libexec/mission-control-5 was killed by signal 11 (SIGSEGV)
Summary: [abrt] telepathy-mission-control-5.7.11-1.fc15: _mcd_build_error_string: Proc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-mission-control
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2858210329e61e2d01e9c78ecf8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-31 02:14 UTC by Chen_Min_Chin
Modified: 2011-09-02 05:28 UTC (History)
5 users (show)

Fixed In Version: telepathy-mission-control-5.8.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-02 05:28:18 UTC
Type: ---


Attachments (Terms of Use)

Description Chen_Min_Chin 2011-05-31 02:14:23 UTC
abrt version: 2.0.1
architecture:   i686
cmdline:        /usr/libexec/mission-control-5
component:      telepathy-mission-control
crash_function: _mcd_build_error_string
executable:     /usr/libexec/mission-control-5
kernel:         2.6.38.6-27.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        telepathy-mission-control-5.7.11-1.fc15
rating:         4
reason:         Process /usr/libexec/mission-control-5 was killed by signal 11 (SIGSEGV)
time:           Tue May 31 09:56:09 2011
uid:            500
username:       chen

backtrace:
:warning: core file may not match specified executable file.
:[New LWP 2183]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/libexec/mission-control-5'.
:Program terminated with signal 11, Segmentation fault.
:#0  _mcd_build_error_string (error=0x0) at mcd-misc.c:70
:70	mcd-misc.c: No such file or directory.
:	in mcd-misc.c
:
:Thread 1 (Thread 0xb785c720 (LWP 2183)):
:#0  _mcd_build_error_string (error=0x0) at mcd-misc.c:70
:        value = <optimized out>
:        klass = <optimized out>
:        prefix = <optimized out>
:#1  0x41395c52 in _mcd_dispatch_operation_lose_channel (channel=0x9ec4da0 [McdChannel], self=0x9e6bd70 [McdDispatchOperation]) at mcd-dispatch-operation.c:1651
:        error_name = <optimized out>
:        li = <optimized out>
:        object_path = 0x9f3d040 "/org/freedesktop/Telepathy/Connection/butterfly/msn/tcfxfzoi_40hotmail_2ecom/TextChannel1"
:        error = 0x0
:#2  mcd_dispatch_operation_channel_aborted_cb (channel=0x9ec4da0 [McdChannel], self=0x9e6bd70 [McdDispatchOperation]) at mcd-dispatch-operation.c:1139
:        error = <optimized out>
:        __PRETTY_FUNCTION__ = "mcd_dispatch_operation_channel_aborted_cb"
:#3  0x4120edd4 in g_cclosure_marshal_VOID__VOID (closure=0x9f2b6d0, return_value=0x0, n_param_values=1, param_values=0x9f37db0, invocation_hint=0xbfc239e0, marshal_data=0x0) at gmarshal.c:79
:        callback = 0x41395af0 <mcd_dispatch_operation_channel_aborted_cb>
:        cc = 0x9f2b6d0
:        data1 = 0x9ec4da0
:        data2 = <optimized out>
:        __PRETTY_FUNCTION__ = "g_cclosure_marshal_VOID__VOID"
:#4  0x411f2ff5 in g_closure_invoke (closure=0x9f2b6d0, return_value=0x0, n_param_values=1, param_values=0x9f37db0, invocation_hint=0xbfc239e0) at gclosure.c:767
:        marshal = 0x4120ed40 <g_cclosure_marshal_VOID__VOID>
:        marshal_data = 0x0
:        in_marshal = 0
:        __PRETTY_FUNCTION__ = "g_closure_invoke"
:#5  0x41205561 in signal_emit_unlocked_R (node=0x9e4bcb8, detail=0, instance=0x9ec4da0, emission_return=0x0, instance_and_params=0x9f37db0) at gsignal.c:3322
:        tmp = <optimized out>
:        handler = 0x9f301a0
:        accumulator = 0x0
:        emission = {next = 0xbfc23df8, instance = 0x9ec4da0, ihint = {signal_id = 6, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 4}
:        class_closure = 0x9e4bc70
:        hlist = 0x9eeb9b0
:        handler_list = 0x9f301a0
:        return_accu = 0x0
:        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
:        signal_id = 6
:        max_sequential_handler_number = 4970
:        return_value_altered = 1
:#6  0x4120e412 in g_signal_emit_valist (instance=0x9ec4da0, signal_id=6, detail=0, var_args=0xbfc23c18 "`\313\377O\020L=A\240M\354\t\306\211\071A\020L=A\367\303:A\240M\354\t\020T\345\t\240M\354\t%\212\071AD^=A") at gsignal.c:2983
:        instance_and_params = 0x9f37db0
:        signal_return_type = 4
:        param_values = 0x9f37dc4
:        node = <optimized out>
:        i = <optimized out>
:        n_params = 0
:        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
:#7  0x4120e727 in g_signal_emit_by_name (instance=0x9ec4da0, detailed_signal=0x413b8108 "abort") at gsignal.c:3077
:        var_args = 0xbfc23c18 "`\313\377O\020L=A\240M\354\t\306\211\071A\020L=A\367\303:A\240M\354\t\020T\345\t\240M\354\t%\212\071AD^=A"
:        detail = 0
:        signal_id = 6
:        __PRETTY_FUNCTION__ = "g_signal_emit_by_name"
:#8  0x413989f6 in _mcd_mission_abort (mission=0x9ec4da0 [McdChannel]) at mcd-mission.c:165
:No locals.
:#9  0x413ac3f7 in mcd_channel_abort (mission=0x9ec4da0 [McdChannel]) at mcd-channel.c:511
:        channel = 0x9ec4da0 [McdChannel]
:        priv = 0x9ec4dc0
:        __PRETTY_FUNCTION__ = "mcd_channel_abort"
:#10 0x4139938e in mcd_mission_abort (mission=0x9ec4da0 [McdChannel]) at mcd-mission.c:316
:        __PRETTY_FUNCTION__ = "mcd_mission_abort"
:#11 0x41399d49 in _mcd_operation_abort (operation=0x9e67ad0 [McdConnection]) at mcd-operation.c:112
:        mission = 0x9ec4da0 [McdChannel]
:        node = 0x9ee6840 = {0x9ec4da0, 0x9f071c0, 0x9e65480, 0x9f07140, 0x9f07100, 0x9e65580, 0x9ef8380, 0x9ef82c0, 0x9f07180, 0x9f07340, 0x9e65220, 0x9ef8300, 0x9f07380, 0x9e651a0, 0x9e652e0, 0x9e65780, 0x9ef8100, 0x9f07040, 0x9e65400, 0x9ef8000, 0x9e65020, 0x9e653a0, 0x9ec4ee0, 0x9e65440, 0x9e65320, 0x9e656c0, 0x9ef8180, 0x9e655c0, 0x9ec4d20, 0x9e652a0}
:        __PRETTY_FUNCTION__ = "_mcd_operation_abort"
:#12 0x4120edd4 in g_cclosure_marshal_VOID__VOID (closure=0x9ea9fc0, return_value=0x0, n_param_values=1, param_values=0x9f37cc0, invocation_hint=0xbfc23e00, marshal_data=0x0) at gmarshal.c:79
:        callback = 0x41399c90 <_mcd_operation_abort>
:        cc = 0x9ea9fc0
:        data1 = 0x9e67ad0
:        data2 = <optimized out>
:        __PRETTY_FUNCTION__ = "g_cclosure_marshal_VOID__VOID"
:#13 0x411f2ff5 in g_closure_invoke (closure=0x9ea9fc0, return_value=0x0, n_param_values=1, param_values=0x9f37cc0, invocation_hint=0xbfc23e00) at gclosure.c:767
:        marshal = 0x4120ed40 <g_cclosure_marshal_VOID__VOID>
:        marshal_data = 0x0
:        in_marshal = 0
:        __PRETTY_FUNCTION__ = "g_closure_invoke"
:#14 0x41205380 in signal_emit_unlocked_R (node=0x9e4bcb8, detail=0, instance=0x9e67ad0, emission_return=0x0, instance_and_params=0x9f37cc0) at gsignal.c:3252
:        tmp = <optimized out>
:        handler = 0x9ed5340
:        accumulator = 0x0
:        emission = {next = 0xbfc241d8, instance = 0x9e67ad0, ihint = {signal_id = 6, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
:        class_closure = 0x9e4bc70
:        hlist = 0x9e71218
:        handler_list = 0x9ed5340
:        return_accu = 0x0
:        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
:        signal_id = 6
:        max_sequential_handler_number = 4970
:        return_value_altered = 1
:#15 0x4120e412 in g_signal_emit_valist (instance=0x9e67ad0, signal_id=6, detail=0, var_args=0xbfc24038 "\346\f<A\020L=A\320z\346\t\306\211\071A\020L=A\216\223\071A\320z\346\t\020T\345\t\320z\346\t\020L=A\020L=A\370z\346\t\320z\346\ts\017:A\320z\346\t\020T\345\t0\254\352\te\\\376C") at gsignal.c:2983
:        instance_and_params = 0x9f37cc0
:        signal_return_type = 4
:        param_values = 0x9f37cd4
:        node = <optimized out>
:        i = <optimized out>
:        n_params = 0
:        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
:#16 0x4120e727 in g_signal_emit_by_name (instance=0x9e67ad0, detailed_signal=0x413b8108 "abort") at gsignal.c:3077
:        var_args = 0xbfc24038 "\346\f<A\020L=A\320z\346\t\306\211\071A\020L=A\216\223\071A\320z\346\t\020T\345\t\320z\346\t\020L=A\020L=A\370z\346\t\320z\346\ts\017:A\320z\346\t\020T\345\t0\254\352\te\\\376C"
:        detail = 0
:        signal_id = 6
:        __PRETTY_FUNCTION__ = "g_signal_emit_by_name"
:#17 0x413989f6 in _mcd_mission_abort (mission=0x9e67ad0 [McdConnection]) at mcd-mission.c:165
:No locals.
:#18 0x4139938e in mcd_mission_abort (mission=0x9e67ad0 [McdConnection]) at mcd-mission.c:316
:        __PRETTY_FUNCTION__ = "mcd_mission_abort"
:#19 0x413a0f73 in mcd_connection_invalidated_cb (tp_conn=0x9ed7f50 [TpConnection], domain=273, code=11, message=0x9eaac30 "User requested disconnection", connection=0x9e67ad0 [McdConnection]) at mcd-connection.c:1245
:        priv = 0x9e67af8
:        __PRETTY_FUNCTION__ = "mcd_connection_invalidated_cb"
:#20 0x44072c39 in _tp_marshal_VOID__UINT_INT_STRING (closure=0x9ef0598, return_value=0x0, n_param_values=4, param_values=0x9e66e40, invocation_hint=0xbfc241e0, marshal_data=0x0) at _gen/signals-marshal.c:2569
:        callback = 0x413a0ec0 <mcd_connection_invalidated_cb>
:        cc = 0x9ef0598
:        data1 = <optimized out>
:        data2 = <optimized out>
:        __PRETTY_FUNCTION__ = "_tp_marshal_VOID__UINT_INT_STRING"
:#21 0x411f2ff5 in g_closure_invoke (closure=0x9ef0598, return_value=0x0, n_param_values=4, param_values=0x9e66e40, invocation_hint=0xbfc241e0) at gclosure.c:767
:        marshal = 0x44072b90 <_tp_marshal_VOID__UINT_INT_STRING>
:        marshal_data = 0x0
:        in_marshal = 0
:        __PRETTY_FUNCTION__ = "g_closure_invoke"
:#22 0x41205380 in signal_emit_unlocked_R (node=0x9e52fa0, detail=0, instance=0x9ed7f50, emission_return=0x0, instance_and_params=0x9e66e40) at gsignal.c:3252
:        tmp = <optimized out>
:        handler = 0x9ee74e0
:        accumulator = 0x0
:        emission = {next = 0x0, instance = 0x9ed7f50, ihint = {signal_id = 5, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
:        class_closure = 0x0
:        hlist = 0x4fffcb60
:        handler_list = 0x9ee7440
:        return_accu = 0x0
:        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
:        signal_id = 5
:        max_sequential_handler_number = 4970
:        return_value_altered = 1
:#23 0x4120e412 in g_signal_emit_valist (instance=0x9ed7f50, signal_id=5, detail=0, var_args=0xbfc243a8 "p\035\363\tx\247\017D\367\317\005Dx\247\017DP\177\355\tB\250") at gsignal.c:2983
:        instance_and_params = 0x9e66e40
:        signal_return_type = 4
:        param_values = 0x9e66e54
:        node = <optimized out>
:        i = <optimized out>
:        n_params = 3
:        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
:#24 0x4120e594 in g_signal_emit (instance=0x9ed7f50, signal_id=5, detail=0) at gsignal.c:3040
:        var_args = 0xbfc2439c "\021\001"
:#25 0x4405d036 in tp_proxy_emit_invalidated (p=0x9ed7f50) at proxy.c:521
:        self = 0x9ed7f50 [TpConnection]
:#26 0x4400a842 in tp_connection_status_changed_cb (self=0x9ed7f50 [TpConnection], status=2, reason=1, user_data=0x0, weak_object=0x0) at connection.c:927
:        error = 0x9eab820
:        prev_status = TP_CONNECTION_STATUS_CONNECTED
:        __PRETTY_FUNCTION__ = "tp_connection_status_changed_cb"
:#27 0x43feff8d in _tp_cli_connection_invoke_callback_for_status_changed (tpproxy=0x9ed7f50 [TpConnection], error=0x0, args=0x9e5bc80, generic_callback=0x4400a760 <tp_connection_status_changed_cb>, user_data=0x0, weak_object=0x0) at _gen/tp-cli-connection-body.h:295
:        callback = 0x4400a760 <tp_connection_status_changed_cb>
:#28 0x4406359f in tp_proxy_signal_invocation_run (p=0x9e71980) at proxy-signals.c:266
:        invocation = 0x9e71980
:        popped = <optimized out>
:#29 0x41102851 in g_idle_dispatch (source=0x9ef7a78, callback=0x44063510 <tp_proxy_signal_invocation_run>, user_data=0x9e71980) at gmain.c:4545
:No locals.
:#30 0x411067ff in g_main_dispatch (context=0x9e52ba8) at gmain.c:2440
:        dispatch = 0x41102830 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0x9e71980
:        callback = 0x44063510 <tp_proxy_signal_invocation_run>
:        cb_funcs = 0x411dd65c
:        cb_data = 0x9eeb9e8
:        current_source_link = {data = 0x9ef7a78, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x9ef7a78
:        current = 0x9e6ed88
:        i = <optimized out>
:#31 g_main_context_dispatch (context=0x9e52ba8) at gmain.c:3013
:No locals.
:#32 0x41106f70 in g_main_context_iterate (context=0x9e52ba8, block=1, dispatch=1, self=0x9e47038) at gmain.c:3091
:        max_priority = -100
:        timeout = 0
:        some_ready = 1
:        nfds = <optimized out>
:        allocated_nfds = <optimized out>
:        fds = 0x9ec8718
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#33 0x41107697 in g_main_loop_run (loop=0x9e56ae0) at gmain.c:3299
:        self = 0x9e47038
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#34 0x413ad75f in mcd_service_run (self=0x9e56c18 [McdService]) at mcd-service.c:196
:No locals.
:#35 0x08048a18 in main (argc=1, argv=0xbfc246b4) at mc-server.c:78
:        mcd = 0x9e56c18 [McdService]
:From        To          Syms Read   Shared Object Library
:0x43f8e8c0  0x44088cdc  Yes         /usr/lib/libtelepathy-glib.so.0
:0x4256f510  0x4258346c  Yes         /usr/lib/libdbus-glib-1.so.2
:0x4125bc50  0x413183fc  Yes         /lib/libgio-2.0.so.0
:0x4185a6a0  0x41889cfc  Yes         /lib/libdbus-1.so.3
:0x4fff8630  0x5000457c  Yes         /lib/libpthread.so.0
:0x411edfb0  0x4122170c  Yes         /lib/libgobject-2.0.so.0
:0x41237bd0  0x41238d4c  Yes         /lib/libgmodule-2.0.so.0
:0x411e0f30  0x411e270c  Yes         /lib/libgthread-2.0.so.0
:0x410198c0  0x4101d6fc  Yes         /lib/librt.so.1
:0x410d7740  0x411755cc  Yes         /lib/libglib-2.0.so.0
:0x4137c2c0  0x413b7adc  Yes         /usr/lib/libmissioncontrol-server-5.7.11.so
:0x413da750  0x413ddd1c  Yes         /usr/lib/libmission-control-plugins.so.0
:0x4fe7ace0  0x4ff98324  Yes         /lib/libc.so.6
:0x41069f30  0x41080c5c  Yes         /lib/libgcc_s.so.1
:0x41011a60  0x41012a8c  Yes         /lib/libdl.so.2
:0x410aa620  0x410ba97c  Yes         /lib/libresolv.so.2
:0x41051670  0x4105eaac  Yes         /lib/libz.so.1
:0x4108b490  0x4109cd9c  Yes         /lib/libselinux.so.1
:0x4fe3d850  0x4fe557ff  Yes         /lib/ld-linux.so.2
:0x41029dc0  0x4103bb6c  Yes         /usr/lib/libmcclient-5.7.11.so
:0x426712f0  0x4268340c  Yes         /usr/lib/libgnome-keyring.so.0
:0x45b34280  0x45b8761c  Yes         /lib/libgcrypt.so.11
:0x425f3630  0x425f3c3c  Yes         /lib/libgpg-error.so.0
:0x00e9da40  0x00ea4d8c  Yes         /lib/libnss_files.so.2
:$1 = 0x0
:$2 = 0x0
:eax            0x0	0
:ecx            0x0	0
:edx            0x0	0
:ebx            0x413d4c10	1094536208
:esp            0xbfc23840	0xbfc23840
:ebp            0x9f3d040	0x9f3d040
:esi            0x0	0
:edi            0x9ec4da0	166481312
:eip            0x41398463	0x41398463 <_mcd_build_error_string+35>
:eflags         0x10212	[ AF IF RF ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function _mcd_build_error_string:
:   0x41398440 <+0>:	lea    -0x2c(%esp),%esp
:   0x41398444 <+4>:	mov    %ebx,0x1c(%esp)
:   0x41398448 <+8>:	mov    %esi,0x20(%esp)
:   0x4139844c <+12>:	call   0x4137c389 <__i686.get_pc_thunk.bx>
:   0x41398451 <+17>:	add    $0x3c7bf,%ebx
:   0x41398457 <+23>:	mov    0x30(%esp),%esi
:   0x4139845b <+27>:	mov    %edi,0x24(%esp)
:   0x4139845f <+31>:	mov    %ebp,0x28(%esp)
:=> 0x41398463 <+35>:	mov    (%esi),%edi
:   0x41398465 <+37>:	call   0x4137b4ec <tp_error_quark@plt>
:   0x4139846a <+42>:	cmp    %eax,%edi
:   0x4139846c <+44>:	je     0x413984f8 <_mcd_build_error_string+184>
:   0x41398472 <+50>:	mov    (%esi),%edi
:   0x41398474 <+52>:	call   0x4137b55c <mc_error_quark@plt>
:   0x41398479 <+57>:	xor    %edx,%edx
:   0x4139847b <+59>:	cmp    %eax,%edi
:   0x4139847d <+61>:	jne    0x413984da <_mcd_build_error_string+154>
:   0x4139847f <+63>:	call   0x4137b57c <mc_error_get_type@plt>
:   0x41398484 <+68>:	mov    %eax,(%esp)
:   0x41398487 <+71>:	lea    -0x16108(%ebx),%ebp
:   0x4139848d <+77>:	call   0x4137bbcc <g_type_class_ref@plt>
:   0x41398492 <+82>:	mov    %eax,%edi
:   0x41398494 <+84>:	mov    0x4(%esi),%eax
:   0x41398497 <+87>:	mov    %edi,(%esp)
:   0x4139849a <+90>:	mov    %eax,0x4(%esp)
:   0x4139849e <+94>:	call   0x4137a42c <g_enum_get_value@plt>
:   0x413984a3 <+99>:	mov    %eax,%esi
:   0x413984a5 <+101>:	mov    %edi,(%esp)
:   0x413984a8 <+104>:	call   0x4137b71c <g_type_class_unref@plt>
:   0x413984ad <+109>:	xor    %edx,%edx
:   0x413984af <+111>:	test   %esi,%esi
:   0x413984b1 <+113>:	je     0x413984da <_mcd_build_error_string+154>
:   0x413984b3 <+115>:	mov    0x8(%esi),%eax
:   0x413984b6 <+118>:	test   %eax,%eax
:   0x413984b8 <+120>:	je     0x413984da <_mcd_build_error_string+154>
:   0x413984ba <+122>:	mov    %eax,0x8(%esp)
:   0x413984be <+126>:	movl   $0x0,0xc(%esp)
:   0x413984c6 <+134>:	lea    -0x1ac87(%ebx),%eax
:   0x413984cc <+140>:	mov    %ebp,(%esp)
:   0x413984cf <+143>:	mov    %eax,0x4(%esp)
:   0x413984d3 <+147>:	call   0x41379e3c <g_strconcat@plt>
:   0x413984d8 <+152>:	mov    %eax,%edx
:   0x413984da <+154>:	mov    %edx,%eax
:   0x413984dc <+156>:	mov    0x1c(%esp),%ebx
:   0x413984e0 <+160>:	mov    0x20(%esp),%esi
:   0x413984e4 <+164>:	mov    0x24(%esp),%edi
:   0x413984e8 <+168>:	mov    0x28(%esp),%ebp
:   0x413984ec <+172>:	lea    0x2c(%esp),%esp
:   0x413984f0 <+176>:	ret    
:   0x413984f1 <+177>:	lea    0x0(%esi,%eiz,1),%esi
:   0x413984f8 <+184>:	call   0x4137a8fc <tp_error_get_type@plt>
:   0x413984fd <+189>:	mov    %eax,(%esp)
:   0x41398500 <+192>:	lea    -0x16128(%ebx),%ebp
:   0x41398506 <+198>:	call   0x4137bbcc <g_type_class_ref@plt>
:   0x4139850b <+203>:	mov    %eax,%edi
:   0x4139850d <+205>:	jmp    0x41398494 <_mcd_build_error_string+84>
:End of assembler dump.

build_ids:
:e059d57b917964c7ff204ba5472454221b6af2d3
:c16193cfe3eb02dc1d2451177325f25a02ce714e
:b9a366d75242dddd9d6643cfa18bc7150298a677
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:2d6fff27ffed99661c14362230cf705f8eee8b2b
:b19c85dd97c0f3236fcdb90cb7188bb48eb14b4b
:49931b2c4aee842fba3a4d908ca1f425b52eeae5
:7b0516e9b3f6502abb6b3ab1b65fb406d7d48902
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:ff72394ee27216c2380a40a6c86ba8474d269c94
:5cf14e251978e8f9192ad52b396136d7f9f22f26
:a240ab21b06de9d167272d0ed01518f9061a4064
:5f165a907ed21cc700dd9a57383b16d33ab0a350
:826bb4d8376c62b913b61301b276adab50e11c5a
:0ff5fc186254a4765c0246a61230a6c12cfb0ca0
:6a75e86d3d67c3fe88c36d2bd0c9988f9910e653
:e02eb0aca8c68943966f78d7f58bc57eb736e1d1
:6449717f64ba042ad55196a8615af9cc27b33215
:0d04c271032bbb821f18e7ed384ea020c338731a
:54e9dc874e550ab0f4c29f24a050c88a28d883d7
:af97663d7b1eb6064f63b0bd30df9dcd6357aad3
:2ca8544b0ff9269420c23a0ac22da52b7894148b
:7875646b4ab3ceb0c3fbcf0293d913c02fd140b7
:3315c5df9ef78b4836cffd5bc39f02777547176c
:62f95e57bc5d5c38b28fd960790a5c0989dd587b
:e17b15a2753d4e06d006add1aa7aca91b4f94b70

dsos:
:/usr/lib/gconv/gconv-modules.cache glibc-2.13.90-9.i686 (Fedora Project) 1306437679
:/usr/lib/libmcclient-5.7.11.so telepathy-mission-control-1:5.7.11-1.fc15.i686 (Fedora Project) 1306439942
:/lib/librt-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306437679
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.i686 (Fedora Project) 1306437694
:/lib/libgpg-error.so.0.7.0 libgpg-error-1.9-2.fc15.i686 (Fedora Project) 1306437699
:/lib/libc-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306437679
:/usr/lib/libgnome-keyring.so.0.1.1 libgnome-keyring-3.0.2-2.fc15.i686 (Fedora Project) 1306470180
:/lib/libgobject-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.i686 (Fedora Project) 1306437702
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1306437701
:/usr/lib/libmissioncontrol-server-5.7.11.so telepathy-mission-control-1:5.7.11-1.fc15.i686 (Fedora Project) 1306439942
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1306437693
:/lib/libgmodule-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.i686 (Fedora Project) 1306437702
:/usr/lib/libtelepathy-glib.so.0.56.0 telepathy-glib-0.14.5-1.fc15.i686 (Fedora Project) 1306437706
:/usr/lib/libmission-control-plugins.so.0.3.0 telepathy-mission-control-1:5.7.11-1.fc15.i686 (Fedora Project) 1306439942
:/lib/libgthread-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.i686 (Fedora Project) 1306437702
:/lib/libgcrypt.so.11.6.0 libgcrypt-1.4.6-1.fc15.i686 (Fedora Project) 1306437699
:/lib/libgio-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.i686 (Fedora Project) 1306437702
:/usr/libexec/mission-control-5 telepathy-mission-control-1:5.7.11-1.fc15.i686 (Fedora Project) 1306439942
:/lib/ld-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306437679
:/lib/libglib-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.i686 (Fedora Project) 1306437702
:/lib/libnss_files-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306437679
:/lib/libgcc_s-4.6.0-20110509.so.1 libgcc-4.6.0-7.fc15.i686 (Fedora Project) 1306439629
:/lib/libpthread-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306437679
:/lib/libdl-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306437679
:/usr/lib/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.i686 (Fedora Project) 1306437704
:/lib/libresolv-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1306437679

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-UeOAKry5q0,guid=4bc4b4cc1183f2d8b0d4794a00000034
:XDG_SESSION_COOKIE=7106f615a2f4acfa981af84f00000013-1306804229.119655-226379028
:XDG_RUNTIME_DIR=/run/user/chen
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/tmp/keyring-1VDKe9/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1690,unix/unix:/tmp/.ICE-unix/1690
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:USERNAME=chen
:XDG_SESSION_ID=1
:GPG_AGENT_INFO=/tmp/keyring-1VDKe9/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-UeOAKry5q0,guid=4bc4b4cc1183f2d8b0d4794a00000034
:XAUTHORITY=/var/run/gdm/auth-for-chen-EnjSdJ/database
:USER=chen
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1681
:SHLVL=1
:PWD=/home/chen
:GDM_LANG=
:GNOME_KEYRING_CONTROL=/tmp/keyring-1VDKe9
:LANG=en_US.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=chen
:HOME=/home/chen

event_log:
:2011-05-31-10:13:21> Analyzing coredump 'coredump'
:2011-05-31-10:13:27  Coredump references 26 debuginfo files, 4 of them are not installed
:2011-05-31-10:13:27  Looking for needed packages in repositories
:2011-05-31-10:13:34  Packages to download: 1
:2011-05-31-10:13:34  Downloading 0.61Mb, installed size: 2.89Mb
:2011-05-31-10:13:35  Downloading (1 of 1) telepathy-mission-control-debuginfo-5.7.11-1.fc15.i686.rpm: 100%
:2011-05-31-10:13:36  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-05-31-10:13:21.6299/telepathy-mission-control-debuginfo-5.7.11-1.fc15.i686.rpm
:2011-05-31-10:13:36  Caching files from unpacked.cpio made from telepathy-mission-control-debuginfo-5.7.11-1.fc15.i686.rpm
:2011-05-31-10:13:36  All downloaded packages have been extracted, removing /tmp/abrt-tmp-debuginfo-2011-05-31-10:13:21.6299
:2011-05-31-10:13:39  Backtrace is generated and saved, 16978 bytes

maps:
:00e9c000-00ea7000 r-xp 00000000 fd:00 2884322    /lib/libnss_files-2.13.90.so
:00ea7000-00ea8000 r--p 0000a000 fd:00 2884322    /lib/libnss_files-2.13.90.so
:00ea8000-00ea9000 rw-p 0000b000 fd:00 2884322    /lib/libnss_files-2.13.90.so
:00ff2000-00ff3000 r-xp 00000000 00:00 0          [vdso]
:08048000-08049000 r-xp 00000000 fd:00 3030198    /usr/libexec/mission-control-5
:08049000-0804b000 rw-p 00000000 fd:00 3030198    /usr/libexec/mission-control-5
:09e47000-09fb5000 rw-p 00000000 00:00 0          [heap]
:41011000-41014000 r-xp 00000000 fd:00 2889445    /lib/libdl-2.13.90.so
:41014000-41015000 r--p 00002000 fd:00 2889445    /lib/libdl-2.13.90.so
:41015000-41016000 rw-p 00003000 fd:00 2889445    /lib/libdl-2.13.90.so
:41018000-4101f000 r-xp 00000000 fd:00 2888503    /lib/librt-2.13.90.so
:4101f000-41020000 r--p 00006000 fd:00 2888503    /lib/librt-2.13.90.so
:41020000-41021000 rw-p 00007000 fd:00 2888503    /lib/librt-2.13.90.so
:41023000-41044000 r-xp 00000000 fd:00 3018921    /usr/lib/libmcclient-5.7.11.so
:41044000-41045000 rw-p 00021000 fd:00 3018921    /usr/lib/libmcclient-5.7.11.so
:41050000-41065000 r-xp 00000000 fd:00 2889485    /lib/libz.so.1.2.5
:41065000-41066000 rw-p 00014000 fd:00 2889485    /lib/libz.so.1.2.5
:41068000-41084000 r-xp 00000000 fd:00 2889490    /lib/libgcc_s-4.6.0-20110509.so.1
:41084000-41085000 rw-p 0001b000 fd:00 2889490    /lib/libgcc_s-4.6.0-20110509.so.1
:41087000-410a4000 r-xp 00000000 fd:00 2889476    /lib/libselinux.so.1
:410a4000-410a5000 r--p 0001c000 fd:00 2889476    /lib/libselinux.so.1
:410a5000-410a6000 rw-p 0001d000 fd:00 2889476    /lib/libselinux.so.1
:410a8000-410bf000 r-xp 00000000 fd:00 2889475    /lib/libresolv-2.13.90.so
:410bf000-410c0000 r--p 00016000 fd:00 2889475    /lib/libresolv-2.13.90.so
:410c0000-410c1000 rw-p 00017000 fd:00 2889475    /lib/libresolv-2.13.90.so
:410c1000-410c3000 rw-p 00000000 00:00 0 
:410c5000-411dd000 r-xp 00000000 fd:00 2889481    /lib/libglib-2.0.so.0.2800.6
:411dd000-411de000 rw-p 00118000 fd:00 2889481    /lib/libglib-2.0.so.0.2800.6
:411e0000-411e4000 r-xp 00000000 fd:00 2889482    /lib/libgthread-2.0.so.0.2800.6
:411e4000-411e5000 rw-p 00003000 fd:00 2889482    /lib/libgthread-2.0.so.0.2800.6
:411e7000-41233000 r-xp 00000000 fd:00 2889483    /lib/libgobject-2.0.so.0.2800.6
:41233000-41235000 rw-p 0004b000 fd:00 2889483    /lib/libgobject-2.0.so.0.2800.6
:41237000-4123a000 r-xp 00000000 fd:00 2889484    /lib/libgmodule-2.0.so.0.2800.6
:4123a000-4123b000 rw-p 00002000 fd:00 2889484    /lib/libgmodule-2.0.so.0.2800.6
:4123d000-41367000 r-xp 00000000 fd:00 2889486    /lib/libgio-2.0.so.0.2800.6
:41367000-4136a000 rw-p 00129000 fd:00 2889486    /lib/libgio-2.0.so.0.2800.6
:4136a000-4136b000 rw-p 00000000 00:00 0 
:4136d000-413d4000 r-xp 00000000 fd:00 3030197    /usr/lib/libmissioncontrol-server-5.7.11.so
:413d4000-413d6000 rw-p 00067000 fd:00 3030197    /usr/lib/libmissioncontrol-server-5.7.11.so
:413d8000-413e1000 r-xp 00000000 fd:00 3018042    /usr/lib/libmission-control-plugins.so.0.3.0
:413e1000-413e2000 rw-p 00008000 fd:00 3018042    /usr/lib/libmission-control-plugins.so.0.3.0
:41855000-4189c000 r-xp 00000000 fd:00 2889498    /lib/libdbus-1.so.3.5.4
:4189c000-4189d000 r--p 00047000 fd:00 2889498    /lib/libdbus-1.so.3.5.4
:4189d000-4189e000 rw-p 00048000 fd:00 2889498    /lib/libdbus-1.so.3.5.4
:42568000-4258c000 r-xp 00000000 fd:00 3026592    /usr/lib/libdbus-glib-1.so.2.1.0
:4258c000-4258d000 rw-p 00024000 fd:00 3026592    /usr/lib/libdbus-glib-1.so.2.1.0
:425f3000-425f6000 r-xp 00000000 fd:00 2889499    /lib/libgpg-error.so.0.7.0
:425f6000-425f7000 rw-p 00002000 fd:00 2889499    /lib/libgpg-error.so.0.7.0
:4266c000-4268b000 r-xp 00000000 fd:00 3026261    /usr/lib/libgnome-keyring.so.0.1.1
:4268b000-4268c000 rw-p 0001f000 fd:00 3026261    /usr/lib/libgnome-keyring.so.0.1.1
:43f5d000-440f8000 r-xp 00000000 fd:00 3019158    /usr/lib/libtelepathy-glib.so.0.56.0
:440f8000-440ff000 rw-p 0019b000 fd:00 3019158    /usr/lib/libtelepathy-glib.so.0.56.0
:440ff000-44100000 rw-p 00000000 00:00 0 
:45b30000-45baa000 r-xp 00000000 fd:00 2884825    /lib/libgcrypt.so.11.6.0
:45baa000-45bac000 rw-p 00079000 fd:00 2884825    /lib/libgcrypt.so.11.6.0
:45bac000-45bad000 rw-p 00000000 00:00 0 
:4fe3d000-4fe5c000 r-xp 00000000 fd:00 2884233    /lib/ld-2.13.90.so
:4fe5c000-4fe5d000 r--p 0001f000 fd:00 2884233    /lib/ld-2.13.90.so
:4fe5d000-4fe5e000 rw-p 00020000 fd:00 2884233    /lib/ld-2.13.90.so
:4fe64000-4ffec000 r-xp 00000000 fd:00 2884360    /lib/libc-2.13.90.so
:4ffec000-4ffee000 r--p 00188000 fd:00 2884360    /lib/libc-2.13.90.so
:4ffee000-4ffef000 rw-p 0018a000 fd:00 2884360    /lib/libc-2.13.90.so
:4ffef000-4fff2000 rw-p 00000000 00:00 0 
:4fff4000-5000b000 r-xp 00000000 fd:00 2884361    /lib/libpthread-2.13.90.so
:5000b000-5000c000 r--p 00016000 fd:00 2884361    /lib/libpthread-2.13.90.so
:5000c000-5000d000 rw-p 00017000 fd:00 2884361    /lib/libpthread-2.13.90.so
:5000d000-5000f000 rw-p 00000000 00:00 0 
:b779a000-b779b000 rw-p 00000000 00:00 0 
:b785c000-b7863000 rw-p 00000000 00:00 0 
:b786f000-b7873000 rw-p 00000000 00:00 0 
:b7873000-b7875000 rw-p 00000000 00:00 0 
:b7875000-b787c000 r--s 00000000 fd:00 3411069    /usr/lib/gconv/gconv-modules.cache
:b787c000-b787d000 rw-p 00000000 00:00 0 
:bfc04000-bfc25000 rw-p 00000000 00:00 0          [stack]

Comment 1 Agustin Ferrario 2011-06-02 16:53:39 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
May it be similar to bug #699378

Comment 2 Eric Work 2011-06-29 23:23:49 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Disabled my wireless connection (no network connection).

Comment 3 Fedora Update System 2011-08-16 22:23:03 UTC
telepathy-mission-control-5.8.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/telepathy-mission-control-5.8.0-1.fc15

Comment 4 Fedora Update System 2011-08-18 02:28:17 UTC
Package telepathy-mission-control-5.8.0-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing telepathy-mission-control-5.8.0-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/telepathy-mission-control-5.8.0-1.fc15
then log in and leave karma (feedback).

Comment 5 Kvikende 2011-09-01 19:06:23 UTC
Package: telepathy-mission-control-5.7.11-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I closed Empathy.

Comment 6 Fedora Update System 2011-09-02 05:27:30 UTC
telepathy-mission-control-5.8.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.